/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
export declare abstract class PreventableEvent {
    private prevented;
    /**
     * Prevents the default action for the event.
     * The source component suppresses the built-in behavior that follows the event.
     */
    preventDefault(): void;
    /**
     * Returns `true` if you or any subscriber prevented the default action.
     *
     * @returns `true` if the default action was prevented, otherwise, `false`.
     */
    isDefaultPrevented(): boolean;
}
